# Functor Pretty.MakeMapPrinter

    module MakeMapPrinter: functor (Map : sigtype key

    type 'a t

    val fold : (key -> 'a -> 'b -> 'b) ->
           'a t -> 'b -> 'bend) -> sig .. end

Format maps.

Parameters:

`Map` | : | `sig type key type 'a t val fold : (key -> 'a -> 'b -> 'b) -> 'a t -> 'b -> 'b end`

    val docMap : ?sep:Pretty.doc ->
           (Map.key -> 'a -> Pretty.doc) -> unit -> 'a Map.t -> Pretty.doc

Format a map, analogous to docList.

    val d_map : ?dmaplet:(Pretty.doc -> Pretty.doc -> Pretty.doc) ->
           string ->
           (unit -> Map.key -> Pretty.doc) ->
           (unit -> 'a -> Pretty.doc) -> unit -> 'a Map.t -> Pretty.doc

Format a map, analogous to d_list.